Bug 1807809 - Add support for zstd compression
Summary: Add support for zstd compression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: heaptrack
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-27 09:57 UTC by barsnick
Modified: 2020-03-16 20:29 UTC (History)
2 users (show)

Fixed In Version: heaptrack-1.1.0-6.fc31 heaptrack-1.1.0-6.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-06 02:23:12 UTC
Type: Bug


Attachments (Terms of Use)

Description barsnick 2020-02-27 09:57:01 UTC
Description of problem:
Add support for zstd compression.

Version-Release number of selected component (if applicable):
1.1.0-5

Additional info:
Heaptrack can be compiled with support for zstd compression, in addition to standard zlib. Since libzstd(-devel) is provided in Fedora, support for this would be nice.

It is sufficient to add "BuildRequires: libzstd-devel" to enable this.

Comment 1 Fedora Update System 2020-02-27 11:18:30 UTC
FEDORA-2020-61f2b8f035 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-61f2b8f035

Comment 2 Fedora Update System 2020-02-27 11:18:31 UTC
FEDORA-2020-936a31cf2d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-936a31cf2d

Comment 3 Fedora Update System 2020-02-27 18:38:06 UTC
heaptrack-1.1.0-6.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-936a31cf2d

Comment 4 Fedora Update System 2020-02-28 01:27:23 UTC
heaptrack-1.1.0-6.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-61f2b8f035

Comment 5 Fedora Update System 2020-03-06 02:23:12 UTC
heaptrack-1.1.0-6.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-03-16 20:16:48 UTC
heaptrack-1.1.0-6.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-03-16 20:29:32 UTC
heaptrack-1.1.0-6.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.